Bug 96672 - [radeonsi][LLVM 3.9] ARK: Survival Evolved, Missing text glyphs
Summary: [radeonsi][LLVM 3.9] ARK: Survival Evolved, Missing text glyphs
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-25 00:12 UTC by Shawn Starr
Modified: 2016-07-06 02:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Correct rendering (3.15 MB, image/png)
2016-06-25 00:12 UTC, Shawn Starr
Details
Incorrect rendering of text glyph (completely missing) (3.10 MB, image/png)
2016-06-25 00:13 UTC, Shawn Starr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Starr 2016-06-25 00:12:30 UTC
Created attachment 124710 [details]
Correct rendering

I've discovered a regression in ARK. It appears our usage of LLVM 3.9 broke ARK while LLVM 3.8 is fine.

Bisecting mesa from November 19th, I was unable to see any issues using LLVM 3.8, this includes Git mesa master.

Attached is two screenshots using LLVM 3.8/3.9 showing the same scene. The text is missing in the top and in other places in game where certain text is used.
Comment 1 Shawn Starr 2016-06-25 00:13:31 UTC
Created attachment 124711 [details]
Incorrect rendering of text glyph (completely missing)
Comment 2 Shawn Starr 2016-06-30 23:05:41 UTC
apitrace can be found here: 
https://drive.google.com/open?id=0Bze7CJKD12nOR2x1NjBheF81MHc
Comment 3 Shawn Starr 2016-07-03 22:14:21 UTC
http://reviews.llvm.org/D21961 

Fixes this bug
Comment 4 Shawn Starr 2016-07-05 02:41:25 UTC
LLVM regression, fixed in trunk, closing
Comment 5 Michel Dänzer 2016-07-06 02:36:10 UTC
Fixed in LLVM SVN r274564.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.